html {
  font-size: 16px; 
  background-color: black;
  color: white;
}

body {
  font-family: "Roboto Flex", sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
}

header {
  position: sticky;
  top: 0;
  z-index: 100;
  display: flex;
  max-width: 1200px;
  margin: auto;
  gap: 0.5rem;
  align-items: center;
  justify-content: space-between;
  background-color: black; 
  height: 2rem;
  font-size: 0.75rem;
  padding: 2rem 1rem;
  font-weight: bold;
}
header .odstęp {
  margin-left: 0.15rem;
}
header .szary {
  color: color-mix(in srgb, white, transparent 50%);
}
header .prawa-strona {
  display: flex;
  flex-wrap: wrap;
  gap: 0 1rem;
  justify-content: flex-end;
}

.galeria {
  max-width: 1200px;
  margin: auto;
  padding: 0 1rem; /
}
.galeria h1 {
  position: sticky;
  top: 5rem;
  z-index: 99;
  width: fit-content;
  font-size: 1.5rem;
  padding: 1rem;
  margin-left: 1rem;
  background-color: rgba(0, 0, 0, 0.5); 
  backdrop-filter: blur(0.5rem); 
  -webkit-backdrop-filter: blur(0.5rem);
  border-radius: 1rem;
}
.obrazy {
  column-count: 2;
  column-gap: 1rem;
  margin: 0 auto;
}
.obrazy img {
  width: 100%;
  height: auto;
  display: block;
  margin-bottom: 1rem;
  break-inside: avoid;
  border-radius: 0.5rem;
  background-color: #333;
  content-visibility: auto;
}
@media (max-width: 600px) {
  .obrazy {
    column-count: 1;
  }
}
